Scope requirements
Scope requirements
Retrieve contracts
You can retrieve all contracts or individual contracts by ID as needed.- To retrieve all contracts, make a
GETrequest to/crm/objects/2026-03/contracts - To retrieve a specific contract, make a
GETrequest to/crm/objects/2026-03/contracts/{contractId}
?properties= query parameter.
For example, to fetch contracts and their corresponding ID, name, and effective start date, make a GET request to /crm/objects/2026-03/contracts?properties=hs_name,hs_contract_effective_date
Batch retrieve contracts
To retrieve multiple contracts in a single request, make aPOST request to /crm/objects/2026-03/contracts/batch/read. In the request body, include an inputs array with the IDs of the contracts you want to retrieve. You can also include a properties array to specify which properties to return.
results array with each requested contract:
Merge contracts
To merge two contract records, make aPOST request to /crm/objects/2026-03/contracts/merge. The remaining record combines activities, associations, and most property values from both records. For example, merge duplicate contracts to preserve historical context and consolidate their activity timelines. Learn more about what happens when you merge HubSpot records.
Include the following in your request body:
For example, to merge the record
45678 into the record 12345, your request would look like:
id is the record ID of the merged record.